Skip to main content
PUT
/
digital-wallets
/
{digital_wallet_id}
C#
using Gr4vy;
using Gr4vy.Models.Components;

var sdk = new Gr4vySDK(
    id: "example",
    server: SDKConfig.Server.Sandbox,
    bearerAuthSource: Auth.WithToken(privateKey),
    merchantAccountId: "default"
);

var res = await sdk.DigitalWallets.UpdateAsync(
    digitalWalletId: "1808f5e6-b49c-4db9-94fa-22371ea352f5",
    digitalWalletUpdate: new DigitalWalletUpdate() {}
);

// handle response
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "merchant_account_id": "<string>",
  "provider": "apple",
  "merchant_name": "<string>",
  "domain_names": [
    "<string>"
  ],
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "type": "digital-wallet",
  "merchant_display_name": "ACME",
  "merchant_url": "https://example.com",
  "merchant_country_code": "US",
  "merchant_category_code": "5411",
  "address": {
    "line1": "<string>",
    "line2": "<string>",
    "city": "<string>",
    "state_code": "<string>",
    "postal_code": "<string>"
  },
  "extra_configuration": {
    "network_mid_list": [
      {
        "mid": "1234567890",
        "scheme": "visa"
      }
    ],
    "network_name_list": [
      {
        "expected_auth_name": "ACME",
        "scheme": "visa"
      }
    ]
  },
  "active_certificate_count": 0,
  "pending_certificate_count": 0,
  "expired_certificate_count": 0,
  "fields": {
    "digital_payment_application_id": "8faebf73-5b43-4514-b170-cbfb50c99fff",
    "digital_payment_application_name": "ACME"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.gr4vy.com/llms.txt

Use this file to discover all available pages before exploring further.

This endpoint requires the digital-wallets.write scope.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-gr4vy-merchant-account-id
string

The ID of the merchant account to use for this request.

Example:

"default"

Path Parameters

digital_wallet_id
string<uuid>
required

The ID of the digital wallet to edit.

Example:

"1808f5e6-b49c-4db9-94fa-22371ea352f5"

Body

application/json

Request body for editing a registered digital wallet

merchant_name
string | null
Maximum string length: 1024
domain_names
string[] | null
merchant_display_name
string | null
merchant_url
string | null
merchant_country_code
string | null
Pattern: ^[A-Z]{2}$
Example:

"DE"

merchant_category_code
string | null
Required string length: 4
address
DigitalWalletAddress · object
extra_configuration
Extra Configuration · object

Response

Successful Response

id
string<uuid>
required

The ID for the digital wallet.

Example:

"1808f5e6-b49c-4db9-94fa-22371ea352f5"

merchant_account_id
string
required

The ID of the merchant account this digital wallet belongs to.

Example:

"default"

provider
enum<string>
required

The name of the digital wallet provider.

Available options:
apple,
google,
click-to-pay,
paze
Example:

"apple"

merchant_name
string
required

The name of the merchant the digital wallet is registered to.

Example:

"ACME Inc."

domain_names
string[]
required

The list of domain names that a digital wallet can be used on (deprecated).

Example:

"example.com"

created_at
string<date-time>
required

The date this buyer was created at.

Example:

"2013-07-16T19:23:00.000+00:00"

updated_at
string<date-time>
required

The date this buyer was last updated at.

Example:

"2013-07-16T19:23:00.000+00:00"

type
string
default:digital-wallet

Always digital-wallet.

Allowed value: "digital-wallet"
Example:

"digital-wallet"

merchant_display_name
string | null

The consumer facing name of the merchant.

Example:

"ACME"

merchant_url
string | null

The main URL of the merchant.

Example:

"https://example.com"

merchant_country_code
string | null

The country code where the merchant is registered.

Example:

"US"

merchant_category_code
string | null

Merchant classification for the type of goods or services it provides.

Required string length: 4
Example:

"5411"

address
DigitalWalletAddress · object

The merchant address associated with the digital wallet.

extra_configuration
Extra Configuration · object

Provider-specific configuration. Currently only used by Paze.

Example:
{
"network_mid_list": [{ "mid": "1234567890", "scheme": "visa" }],
"network_name_list": [
{
"expected_auth_name": "ACME",
"scheme": "visa"
}
]
}
active_certificate_count
integer
default:0

The number of active custom certificates registered for this digital wallet (Apple Pay only).

Example:

2

pending_certificate_count
integer
default:0

The number of pending custom certificates registered for this digital wallet (Apple Pay only).

Example:

1

expired_certificate_count
integer
default:0

The number of expired custom certificates registered for this digital wallet (Apple Pay only).

Example:

0

fields
Fields · object

Custom attributes for some digital wallets. Currently only used by Click to Pay.

Example:
{
"digital_payment_application_id": "8faebf73-5b43-4514-b170-cbfb50c99fff",
"digital_payment_application_name": "ACME"
}